1. Malaysia
API Guide
  • Get Started
  • Document AI
    • Malaysia
      • Extract Bank Statement Data
        POST
      • Extract Bill of Lading Data
        POST
      • Extract Business Card Data
        POST
      • Extract Car Meter Data
        POST
      • Extract Cheque (Front) Data
        POST
      • Extract Company Financial Statement Data
        POST
      • Extract Resume Data
        POST
      • Extract E-Invoice Data
        POST
      • Extract Electricity Bill Data
        POST
      • Extract Identity Card Data
        POST
      • Extract Internet Bill Data
        POST
      • Extract Invoice Data
        POST
      • Extract Passport Data
        POST
      • Extract Payslip Data
        POST
      • Extract Price Tag Data
        POST
      • Extract Purchase Order Data
        POST
      • Extract Receipt (General) Data
        POST
      • Extract SSM Documents Data
        POST
      • Extract Water Bill Data
        POST
    • Thailand
      • Extract Business Card Data
      • Extract Identity Card Data
      • Extract Passport Data
      • Extract Receipt Data
    • Vietnam
      • Extract Business Card Data
      • Extract Identity Card Data
      • Extract Passport Data
      • Extract Receipt Data
    • Philippines
      • Extract Business Card Data
      • Extract Identity Card Data
      • Extract Passport Data
      • Extract Receipt Data
  1. Malaysia

Extract Invoice Data

POST
/document-ai/{model-id}

Extracted Data Types#

The following types will always be present in the API response. If a type parameter is not found in the input, its value will be null.
Parameter NameVariable Type
vendor_namestring
vendor_addressstring
vendor_postcodestring
vendor_statestring
vendor_countrystring
vendor_contact_numberstring
vendor_sst_numberstring
recipient_namestring
recipient_addressstring
recipient_postcodestring
recipient_statestring
recipient_countrystring
recipient_contact_numberstring
invoice_numberstring
reference_numberstring
invoice_datestring
invoice_due_datestring
invoice_termsstring
billing_periodstring
itemsArray of Objects
items[].item_descriptionstring
items[].item_quantitystring
items[].item_per_unit_pricestring
items[].item_discount_ratestring
items[].item_discount_amountstring
items[].item_amount_exclude_sststring
items[].item_tax_ratestring
items[].item_tax_amountstring
items[].item_amount_include_sststring
subtotalstring
discountstring
taxstring
totalstring
currencystring
payment_modestring
payment_tostring
payment_referencestring

Notes#

Each type parameter in the data array will always have the specified type, with the possibility of being null.
If a specific type parameter is not present in the input, its value in the response will be null.

Request

Authorization
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
Path Params

Body Params multipart/form-data

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.axtraction.ai/v1/document/document-ai/model-a1b2c3d4e5f6' \
--header 'X-API-KEY: <api-key>' \
--form 'file=@""' \
--form 'fileBase64="JVBERi0xLjMNCiXi48/...."' \
--form 'mimeType="application/pdf"'

Responses

🟢200Success
application/json
Body

Example
{
    "success": true,
    "data": [
        {
            "type": "vendor_name",
            "value": "Tech Supplies Inc."
        },
        {
            "type": "vendor_address",
            "value": "789 Industrial Ave"
        },
        {
            "type": "vendor_postcode",
            "value": null
        },
        {
            "type": "vendor_state",
            "value": null
        },
        {
            "type": "vendor_country",
            "value": null
        },
        {
            "type": "vendor_contact_number",
            "value": null
        },
        {
            "type": "vendor_sst_number",
            "value": "SST-987654321"
        },
        {
            "type": "recipient_name",
            "value": "Accounts Payable"
        },
        {
            "type": "recipient_address",
            "value": "456 Main Street"
        },
        {
            "type": "recipient_postcode",
            "value": null
        },
        {
            "type": "recipient_state",
            "value": null
        },
        {
            "type": "recipient_country",
            "value": null
        },
        {
            "type": "recipient_contact_number",
            "value": "555-1234"
        },
        {
            "type": "invoice_number",
            "value": "INV-2024-001"
        },
        {
            "type": "reference_number",
            "value": "PO-123456"
        },
        {
            "type": "invoice_date",
            "value": "2024-01-15"
        },
        {
            "type": "invoice_due_date",
            "value": null
        },
        {
            "type": "invoice_terms",
            "value": "Net 30"
        },
        {
            "type": "billing_period",
            "value": null
        },
        {
            "type": "items",
            "value": [
                {
                    "item_description": "Laptop",
                    "item_quantity": "2",
                    "item_per_unit_price": "800",
                    "item_discount_rate": null,
                    "item_discount_amount": "50",
                    "item_amount_exclude_sst": "1600",
                    "item_tax_rate": "10",
                    "item_tax_amount": "160",
                    "item_amount_include_sst": "1550"
                },
                {
                    "item_description": "Mouse",
                    "item_quantity": "5",
                    "item_per_unit_price": "20",
                    "item_discount_rate": null,
                    "item_discount_amount": "0",
                    "item_amount_exclude_sst": "100",
                    "item_tax_rate": "10",
                    "item_tax_amount": "10",
                    "item_amount_include_sst": "100"
                }
            ]
        },
        {
            "type": "subtotal",
            "value": "1650"
        },
        {
            "type": "discount",
            "value": "50"
        },
        {
            "type": "tax",
            "value": "165"
        },
        {
            "type": "total",
            "value": "1815"
        },
        {
            "type": "currency",
            "value": "USD"
        },
        {
            "type": "payment_mode",
            "value": null
        },
        {
            "type": "payment_to",
            "value": "Tech Supplies Inc."
        },
        {
            "type": "payment_reference",
            "value": null
        }
    ],
    "miscellaneous": {
        "processedTime": 112.345
    }
}
Modified at 2026-02-24 06:52:04
Previous
Extract Internet Bill Data
Next
Extract Passport Data
Built with